View Issue Details

IDProjectCategoryView StatusLast Update
0003242GNUnetset servicepublic2014-04-08 16:42
ReporterLRNAssigned ToFlorian Dold 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSW32OS Version
Product Version0.10.0 
Target Version0.10.1Fixed in Version0.10.1 
Summary0003242: Crash in set service during perf_ats_proportional_transport_none
Descriptionr31747
Steps To ReproduceRun perf_ats_proportional_transport_none
Additional Information
Reading symbols from d:\progs\gnunet\lib\gnunet\libexec\gnunet-service-set.exe...done.
Continuing.

Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread 8736.0x2574]
0x7582321a in KERNELBASE!DebugBreak () from C:\Windows\syswow64\KernelBase.dll
(gdb) bt
#0  0x7582321a in KERNELBASE!DebugBreak () from C:\Windows\syswow64\KernelBase.dll
#1  0x00f97436 in GNUNET_abort () at common_logging.c:287
#2  0x0040258e in incoming_destroy (incoming=0x6074680) at gnunet-service-set.c:449
#3  0x0040607c in handle_incoming_disconnect (op=0x6074680) at gnunet-service-set.c:1212
#4  0x00406581 in channel_end_cb (cls=0x0, channel=0x6074650, channel_ctx=0x6074680) at gnunet-service-set.c:1304
#5  0x67541d21 in destroy_channel (ch=0x6074650, call_cleaner=1) at mesh_api.c:463
#6  0x675464c8 in GNUNET_MESH_channel_destroy (channel=0x6074650) at mesh_api.c:1439
#7  0x00402724 in incoming_destroy (incoming=0x6074680) at gnunet-service-set.c:462
#8  0x00405d6c in shutdown_task (cls=0x0, tc=0x28fbe0) at gnunet-service-set.c:1153
#9  0x00fcf7f9 in run_ready (rs=0x606f7a8, ws=0x60707c0) at scheduler.c:595
#10 0x00fd0075 in GNUNET_SCHEDULER_run (task=0xfdbc68 <service_task>, task_cls=0x28fd90) at scheduler.c:817
#11 0x00fdcc8f in GNUNET_SERVICE_run (argc=3, argv=0x6059538, service_name=0x41148b <_Jv_RegisterClasses+4265099> "set", options=GNUNET_SERVICE_OPTION_NONE, task=0x4067ab <run>, task_cls=0x0) at service.c:1490
#12 0x0040691d in main (argc=3, argv=0x6059538) at gnunet-service-set.c:1434
(gdb) up
#1  0x00f97436 in GNUNET_abort () at common_logging.c:287
287       DebugBreak ();
(gdb)
#2  0x0040258e in incoming_destroy (incoming=0x6074680) at gnunet-service-set.c:449
449       GNUNET_CONTAINER_DLL_remove (incoming_head, incoming_tail, incoming);
(gdb) p incoming_head
$1 = (struct Operation *) 0x0
(gdb) p incoming_tail
$2 = (struct Operation *) 0x0
(gdb) p incoming
$3 = (struct Operation *) 0x6074680
(gdb) p/x *incoming
$4 = {vt = 0x411660, channel = 0x0, mq = 0x0, is_incoming = 0x1, generation_created = 0x0, spec = 0xbf80f0, state = 0x6065910, next = 0x0, prev = 0x0, keep = 0x0}
(gdb) p/x *incoming->spec
$5 = {operation = 0x2, peer = {public_key = {q_y = {0x37, 0xaa, 0xb9, 0xd0, 0xda, 0xd4, 0xcc, 0x47, 0xaa, 0x9, 0x6b, 0xc0, 0x24, 0x89, 0x5c, 0x2c, 0x94, 0x96, 0x31, 0x4c, 0x1, 0x25, 0xaf, 0x2, 0x2f, 0x47, 0x63, 0x63, 0xc, 0xb1, 0xb2, 0xd7}}},
  app_id = {bits = {0x8ed42fe9, 0xf9561265, 0x7c3c01a5, 0xc8fe2d9f, 0x26d5f1fd, 0x84f0ffef, 0xea3e53a6, 0x49e4d77b, 0x9310010a, 0xc006aae6, 0xeb49aafb, 0x483c375c, 0xabaed723, 0x862c3c84, 0xf48194c0, 0x7cc1d768}}, context_msg = 0x0, salt = 0x37ad0000,
  remote_element_count = 0x0, client_request_id = 0x0, set = 0x0, result_mode = 0x0}
(gdb) p/x *incoming->state
$6 = {peer = {public_key = {q_y = {0x37, 0xaa, 0xb9, 0xd0, 0xda, 0xd4, 0xcc, 0x47, 0xaa, 0x9, 0x6b, 0xc0, 0x24, 0x89, 0x5c, 0x2c, 0x94, 0x96, 0x31, 0x4c, 0x1, 0x25, 0xaf, 0x2, 0x2f, 0x47, 0x63, 0x63, 0xc, 0xb1, 0xb2, 0xd7}}}, suggest_id = 0x1,
  timeout_task = 0x0}
TagsNo tags attached.

Activities

LRN

2013-12-25 16:25

developer   ~0007945

Reproduction: always, in all ats-tests.

Issue History

Date Modified Username Field Change
2013-12-25 16:22 LRN New Issue
2013-12-25 16:22 LRN Status new => assigned
2013-12-25 16:22 LRN Assigned To => Florian Dold
2013-12-25 16:25 LRN Note Added: 0007945
2013-12-25 16:25 LRN Reproducibility have not tried => always
2013-12-25 16:43 Florian Dold Status assigned => resolved
2013-12-25 16:43 Florian Dold Resolution open => fixed
2014-01-01 21:59 Christian Grothoff Product Version => 0.10.0
2014-01-01 21:59 Christian Grothoff Fixed in Version => 0.10.1
2014-01-01 21:59 Christian Grothoff Target Version => 0.10.1
2014-04-08 16:42 Christian Grothoff Status resolved => closed